window.Gleam.initSearch([{"doc":"humanise","title":"humanise","content":"# humanise\n\n[![Package Version](https://img.shields.io/hexpm/v/humanise)](https://hex.pm/packages/humanise)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/humanise/)\n\n```sh\ngleam add humanise\n```\n```gleam\nimport humanise\nimport humanise/time\n\npub fn main() {\n  humanise.bytes_int(10_000) |&gt; io.println // 10.0KB\n\n  time.Seconds(0.5) |&gt; time.humanise |&gt; time.to_string |&gt; io.println // 500.0ms\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/humanise&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"humanise/bytes","title":"Bytes","content":"pub type Bytes {\n  Bytes(Float)\n  Kilobytes(Float)\n  Megabytes(Float)\n  Gigabytes(Float)\n  Terabytes(Float)\n}\n The main type for holding data amount information.\n\n Use its constructors directly to specify a unit for the value you want to format.\nBytes(Float)\n\n\nKilobytes(Float)\n\n\nMegabytes(Float)\n\n\nGigabytes(Float)\n\n\nTerabytes(Float)\n\n\nSynonyms:\nhumanise/bytes.Bytes\nhumanise/bytes Bytes","url":"humanise/bytes.html#Bytes"},{"doc":"humanise/bytes","title":"humanise","content":"pub fn humanise(this bytes: Bytes) -&gt; Bytes\n Convert a value to a more optimal unit, if possible.\n\n Example:\n \n bytes.Megabytes(0.5) |&gt; bytes.humanise // bytes.Kilobytes(500.0)\n \nSynonyms:\nhumanise/bytes.humanise\nhumanise/bytes humanise","url":"humanise/bytes.html#humanise"},{"doc":"humanise/bytes","title":"to_string","content":"pub fn to_string(this bytes: Bytes) -&gt; String\n Format a value as a `String`, rounded to at most 2 decimal places, followed by a unit suffix.\n\n Example:\n \n bytes.Gigabytes(30.125) |&gt; bytes.to_string // &quot;30.13GB&quot;\n \nSynonyms:\nhumanise/bytes.to_string\nhumanise/bytes to_string","url":"humanise/bytes.html#to_string"},{"doc":"humanise/bytes","title":"humanise/bytes","content":" This module contains functions for formatting amounts of data to `String`s (e.g. `&quot;100.0B&quot;`, `&quot;1.5GB&quot;`).\n\n Usage generally looks like this:\n ```\n bytes.Kilobytes(2000.0) |&gt; bytes.humanise |&gt; bytes.to_string // &quot;2.0MB&quot;\n \n // or, if you don&#39;t want to change the unit\n bytes.Kilobytes(2000.0) |&gt; bytes.to_string // &quot;2000.0KB&quot;\n ```\n\n *Note: This module currently uses multiples of 1000 (kilobytes, megabytes etc), NOT multiples of 1024 (kibibytes, mebibytes, etc). Support for 1024-multiples will likely be added later!*","url":"humanise/bytes.html"},{"doc":"humanise/time","title":"Time","content":"pub type Time {\n  Microseconds(Float)\n  Milliseconds(Float)\n  Seconds(Float)\n  Minutes(Float)\n  Hours(Float)\n  Days(Float)\n  Weeks(Float)\n}\n The main type for holding time information.\n\n Use its constructors directly to specify a unit for the value you want to format.\nMicroseconds(Float)\n\n\nMilliseconds(Float)\n\n\nSeconds(Float)\n\n\nMinutes(Float)\n\n\nHours(Float)\n\n\nDays(Float)\n\n\nWeeks(Float)\n\n\nSynonyms:\nhumanise/time.Time\nhumanise/time Time","url":"humanise/time.html#Time"},{"doc":"humanise/time","title":"humanise","content":"pub fn humanise(this time: Time) -&gt; Time\n Convert a value to a more optimal unit, if possible.\n\n Example:\n \n time.Seconds(120.0) |&gt; time.humanise // time.Minutes(2.0)\n \nSynonyms:\nhumanise/time.humanise\nhumanise/time humanise","url":"humanise/time.html#humanise"},{"doc":"humanise/time","title":"to_string","content":"pub fn to_string(this time: Time) -&gt; String\n Format a value as a `String`, rounded to at most 2 decimal places, followed by a unit suffix.\n\n Example:\n \n time.Seconds(30.125) |&gt; time.to_string // &quot;30.13s&quot;\n \nSynonyms:\nhumanise/time.to_string\nhumanise/time to_string","url":"humanise/time.html#to_string"},{"doc":"humanise/time","title":"humanise/time","content":" This module contains functions for formatting durations of time to `String`s (e.g. `&quot;100.0ms&quot;`, `&quot;1.5s&quot;`).\n\n Usage generally looks like this:\n ```\n time.Millisecond(2000.0) |&gt; time.humanise |&gt; time.to_string // &quot;2.0s&quot;\n \n // or, if you don&#39;t want to change the unit\n time.Millisecond(2000.0) |&gt; time.to_string // &quot;2000.0ms&quot;\n ```","url":"humanise/time.html"},{"doc":"humanise","title":"bytes_float","content":"pub fn bytes_float(from n: Float) -&gt; String\n Format *n* bytes as a `Float`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.bytes_float\nhumanise bytes_float","url":"humanise.html#bytes_float"},{"doc":"humanise","title":"bytes_int","content":"pub fn bytes_int(from n: Int) -&gt; String\n Format *n* bytes as an `Int`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.bytes_int\nhumanise bytes_int","url":"humanise.html#bytes_int"},{"doc":"humanise","title":"days_float","content":"pub fn days_float(from n: Float) -&gt; String\n Format *n* days as a `Float`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.days_float\nhumanise days_float","url":"humanise.html#days_float"},{"doc":"humanise","title":"days_int","content":"pub fn days_int(from n: Int) -&gt; String\n Format *n* days as an `Int`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.days_int\nhumanise days_int","url":"humanise.html#days_int"},{"doc":"humanise","title":"gigabytes_float","content":"pub fn gigabytes_float(from n: Float) -&gt; String\n Format *n* gigabytes as a `Float`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.gigabytes_float\nhumanise gigabytes_float","url":"humanise.html#gigabytes_float"},{"doc":"humanise","title":"gigabytes_int","content":"pub fn gigabytes_int(from n: Int) -&gt; String\n Format *n* gigabytes as an `Int`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.gigabytes_int\nhumanise gigabytes_int","url":"humanise.html#gigabytes_int"},{"doc":"humanise","title":"hours_float","content":"pub fn hours_float(from n: Float) -&gt; String\n Format *n* hours as a `Float`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.hours_float\nhumanise hours_float","url":"humanise.html#hours_float"},{"doc":"humanise","title":"hours_int","content":"pub fn hours_int(from n: Int) -&gt; String\n Format *n* hours as an `Int`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.hours_int\nhumanise hours_int","url":"humanise.html#hours_int"},{"doc":"humanise","title":"kilobytes_float","content":"pub fn kilobytes_float(from n: Float) -&gt; String\n Format *n* kilobytes as a `Float`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.kilobytes_float\nhumanise kilobytes_float","url":"humanise.html#kilobytes_float"},{"doc":"humanise","title":"kilobytes_int","content":"pub fn kilobytes_int(from n: Int) -&gt; String\n Format *n* kilobytes as an `Int`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.kilobytes_int\nhumanise kilobytes_int","url":"humanise.html#kilobytes_int"},{"doc":"humanise","title":"megabytes_float","content":"pub fn megabytes_float(from n: Float) -&gt; String\n Format *n* megabytes as a `Float`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.megabytes_float\nhumanise megabytes_float","url":"humanise.html#megabytes_float"},{"doc":"humanise","title":"megabytes_int","content":"pub fn megabytes_int(from n: Int) -&gt; String\n Format *n* megabytes as an `Int`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.megabytes_int\nhumanise megabytes_int","url":"humanise.html#megabytes_int"},{"doc":"humanise","title":"microseconds_float","content":"pub fn microseconds_float(from n: Float) -&gt; String\n Format *n* microseconds as a `Float`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.microseconds_float\nhumanise microseconds_float","url":"humanise.html#microseconds_float"},{"doc":"humanise","title":"microseconds_int","content":"pub fn microseconds_int(from n: Int) -&gt; String\n Format *n* microseconds as an `Int`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.microseconds_int\nhumanise microseconds_int","url":"humanise.html#microseconds_int"},{"doc":"humanise","title":"milliseconds_float","content":"pub fn milliseconds_float(from n: Float) -&gt; String\n Format *n* milliseconds as a `Float`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.milliseconds_float\nhumanise milliseconds_float","url":"humanise.html#milliseconds_float"},{"doc":"humanise","title":"milliseconds_int","content":"pub fn milliseconds_int(from n: Int) -&gt; String\n Format *n* milliseconds as an `Int`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.milliseconds_int\nhumanise milliseconds_int","url":"humanise.html#milliseconds_int"},{"doc":"humanise","title":"seconds_float","content":"pub fn seconds_float(from n: Float) -&gt; String\n Format *n* seconds as a `Float`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.seconds_float\nhumanise seconds_float","url":"humanise.html#seconds_float"},{"doc":"humanise","title":"seconds_int","content":"pub fn seconds_int(from n: Int) -&gt; String\n Format *n* seconds as an `Int`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.seconds_int\nhumanise seconds_int","url":"humanise.html#seconds_int"},{"doc":"humanise","title":"terabytes_float","content":"pub fn terabytes_float(from n: Float) -&gt; String\n Format *n* terabytes as a `Float`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.terabytes_float\nhumanise terabytes_float","url":"humanise.html#terabytes_float"},{"doc":"humanise","title":"terabytes_int","content":"pub fn terabytes_int(from n: Int) -&gt; String\n Format *n* terabytes as an `Int`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.terabytes_int\nhumanise terabytes_int","url":"humanise.html#terabytes_int"},{"doc":"humanise","title":"weeks_float","content":"pub fn weeks_float(from n: Float) -&gt; String\n Format *n* weeks as a `Float`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.weeks_float\nhumanise weeks_float","url":"humanise.html#weeks_float"},{"doc":"humanise","title":"weeks_int","content":"pub fn weeks_int(from n: Int) -&gt; String\n Format *n* weeks as an `Int`, converting to a more optimal unit if possible.\nSynonyms:\nhumanise.weeks_int\nhumanise weeks_int","url":"humanise.html#weeks_int"},{"doc":"humanise","title":"humanise","content":" This module contains a bunch of shortcuts to the `time` and `bytes` modules for directly &quot;humanising&quot; and formatting a number (`Float` or `Int`) to a `String`.\n\n For more control (e.g. return `time.Time` or `bytes.Bytes` instead of a `String`, use the given unit instead of the most optimal one), look at the `time` or `bytes` modules.","url":"humanise.html"}]);